UR-DEFINE-DATASOURCE-PG(1p)

NAME
ur define datasource pg - Add a PostgreSQL data source to the current namespace.

VERSION
This document describes ur define datasource pg version 0.29.

SYNOPSIS
ur define datasource pg --auth=? --login=? [--nosingleton] --owner=? [--dsid=?] [--server=?] [DSNAME]

REQUIRED ARGUMENTS

auth  String
    Password to log in with

login  String
    User to log in with

nosingleton  Boolean
    Created data source should not inherit from UR::Singleton (defalt is that it will)

    Default value 'false' (--nonosingleton) if not specified

nonosingleton  Boolean
    Make nosingleton 'false'

owner  String
    Owner/schema to connect to

OPTIONAL ARGUMENTS

dsid  Text
    The full class name to give this data source.

server  String
    "server" attribute for this data source, such as a database name

DSNAME  Text
    The distinctive part of the class name for this data source. Will be prefixed with the namespace then '::DataSource::'.

DESCRIPTION:
  Add a PostgreSQL data source to the current namespace.